DECLARE SUB RndFight ()
DECLARE SUB Stats ()
DECLARE SUB Street3 ()
DECLARE SUB CannotDo ()
DECLARE SUB CannotGo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
DECLARE SUB ApartmentComplex ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'

SUB Street8

RestoreRoom = 15
Room:
  CLS
  PRINT "The street here dead-ends against a high brick wall laced with cracks.  Gang"
  PRINT "logos and slogans decorate the buildings.  To the north is a short building"
  PRINT "that seems to be a apartment complex."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN ApartmentComplex
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN CannotGo: GOTO Command
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN Street3
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN CannotGo: GOTO Command
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "LOOK LOGO" OR a$ = "LOOK LOGOS" OR a$ = "LOOK SLOGAN" OR a$ = "LOOK SLOGANS" OR a$ = "READ SLOGANS" OR a$ = "READ SLOGAN" OR a$ = "READ GRAFFITI" OR a$ = "LOOK GRAFFITI" THEN PRINT  _
"It seems that a gang called the 'Indigo Hawks' have control over this portion": PRINT "of town.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  PRINT "Rats scurry away as you look for anything useful.  You don't find anything."
  GOTO Command

END SUB

